View Issue Details

IDProjectCategoryView StatusLast Update
0002663NoesisGUIC++ SDKpublic2023-09-15 20:17
Reportervmaurer Assigned Tohcpizzi  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.1 
Target Version3.2.2Fixed in Version3.2.2 
Summary0002663: Doesn't compile with Visual Studio 17.7.0
DescriptionError log:

1>C:\myproject\project\Plugins\NoesisGUI\Source\Noesis\NoesisSDK\Src\Packages\App\RiveBase\Src\Rive.cpp(748): error C4834: discarding return value of function with 'nodiscard' attribute
1>C:\myproject\project\Plugins\NoesisGUI\Source\Noesis\NoesisSDK\Src\Packages\App\RiveBase\Src\Rive.cpp(755): error C4834: discarding return value of function with 'nodiscard' attribute
1>C:\myproject\project\Plugins\NoesisGUI\Source\Noesis\NoesisSDK\Src\Packages\App\RiveBase\Src\Rive.cpp(764): error C4834: discarding return value of function with 'nodiscard' attribute

The target platform was Windows, compiled with Unreal Engine 5.2

Workaround solution: Comment out all NS_LOG_TRACE(...) lines in Rive.cpp
TagsC++, Rive, Unreal
PlatformWindows

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2023-08-10 09:45 vmaurer New Issue
2023-08-10 09:45 vmaurer Tag Attached: C++
2023-08-10 09:45 vmaurer Tag Attached: Rive
2023-08-10 09:45 vmaurer Tag Attached: Unreal
2023-08-14 16:19 jsantos Assigned To => hcpizzi
2023-08-14 16:19 jsantos Status new => assigned
2023-08-14 16:19 jsantos Target Version => 3.2.2
2023-09-15 20:17 sfernandez Status assigned => resolved
2023-09-15 20:17 sfernandez Resolution open => fixed
2023-09-15 20:17 sfernandez Fixed in Version => 3.2.2